Bug 239681 - grass does not build (mesa-libGLw, lesstif-devel)
grass does not build (mesa-libGLw, lesstif-devel)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grass (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PPC64MissingDeps
  Show dependency treegraph
 
Reported: 2007-05-10 11:00 EDT by Balint Cristian
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-12 11:45:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Balint Cristian 2007-05-10 11:00:08 EDT
Description of problem:
build fail on ppc64

Version-Release number of selected component (if applicable):
PPC64MissingDeps

How reproducible:
PPC64MissingDeps

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2007-05-10 13:10:15 EDT
Log?
Comment 2 Balint Cristian 2007-05-10 13:15:27 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=4566

But where is ppc64 one after rebuild ?
Comment 3 Bill Nottingham 2007-05-10 13:17:29 EDT
That wasn't a rebuild, just an import.
Comment 4 Bill Nottingham 2007-05-10 14:58:49 EDT
A quick check seems to imply there are circular build dependencies here - is
this correct?
Comment 5 Balint Cristian 2007-05-10 15:26:35 EDT
no.
1) latest gdal wich i want to build dont have for now.
2) i will re-eanble in gdal in future solve circularity in grass by adding a 
gdal tarball into grass for solve up circularity, as discussed with Patrice 
Dumas.

BUT:
hdf required for gdal wich is requested by grass is not building on ppc64 for
code reasons, simply is not prepared for ppc64 right now.
I help hdf maintainer to rebuild it, bz#239706 I make good progress right now 
with it so in 1-2 hour i hope i finish the patch.
Comment 6 Balint Cristian 2007-05-11 18:59:32 EDT
Now lestiff-devel.ppc64 is needed, gdal solved ...

However jkeating rebuilded:
http://koji.fedoraproject.org/koji/buildinfo?buildID=3537

But where is ppc64 variant ?!
Comment 7 Bill Nottingham 2007-05-11 19:24:54 EDT
It was just an import of existing extras packages.

mesa-libGLW buildrequires lesstif-devel.
lesstif-devel buildrequires mesa-libGLw. 

This tends to cause problems when bootstrapping. Will look into it.
Comment 8 Bill Nottingham 2007-05-11 19:50:52 EDT
mesa-libGLw and lesstif should be available in the next hour or so.
Comment 9 Patrice Dumas 2007-05-12 04:34:28 EDT
(In reply to comment #7)
> It was just an import of existing extras packages.
> 
> mesa-libGLW buildrequires lesstif-devel.
> lesstif-devel buildrequires mesa-libGLw. 
> 
> This tends to cause problems when bootstrapping. Will look into it.

Indeed, I'd have preferred if lesstif-devel didn't depend 
on mesa-libGLw-devel, but Rex insisted. I'll try to convince 
him.
Comment 10 Balint Cristian 2007-05-12 08:10:50 EDT
In grass we have booth enumerated:
lesstif-devel, mesa-libGLw-devel

As *direct* dependency of grass.

Patrice, just as notes:
I don't care if mesa-libGLw-devel depend or not on mesa-libGLw-devel in fact
from point of view of grass, grass indeed require booth of tham as mandatory.


Note You need to log in before you can comment on or make changes to this bug.